# `direct_mask_range_hashing` Interface

A mask range-hashing class (uses a bit-mask).

Defined in: `hash_policy.hpp`

## Template Parameters

Parameter | Description | Default Value

    typename Size_Type

Size type.

size_t

## Public Types and Constants

### General Definitions

Type | Definition | Description

    size_type

    Size_Type

Size type.

## Public Methods

### Constructors, Destructor, and Related

Method | Description

    void
      swap
      (direct_mask_range_hashing &other)

Swaps content.

## Protected Methods

### Notification Methods

Method | Description

    void
      notify_resized
      (size_type size)

Notifies the policy object that the container's size has changed to `size`.

### Operators.

Method | Description

    inline size_type
      operator()
      (size_type hash) const

Transforms the hash value `hash` into a ranged-hash value (using a bit-mask).